<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ES6 Classes Homework</title>
</head>
<body>
    <script>
            class Employee {
                constructor(name, age, salary){
                    this.name = name;
                    this.age = age;
                    this.salary = salary;
                    this.getName = () => {return console.log("My name: " + this.name)};
                    this.getAge = () => {return console.log("My age: " + this.age)};
                    this.getSalary = () => {return console.log("My salary: " + this.salary)};
                    this.setName = (newName) => {
                        this.name = newName
                    };
                    this.setAge = (newAge) => {
                        this.age = newAge
                    };
                    this.setSalary = (newSalary) => {
                        this.salary = newSalary
                    };
                }
            }
        const user1 = new Employee('Ivan', 24, 1200);
        user1.getName();
        console.log(user1);
        user1.setName("Vitaly");
        user1.setAge(24);
        user1.setSalary(500);
        console.log(user1);
            class Programmer extends Employee {
                constructor(name, age, salary, lang){
                    super(name, age, salary)
                    this.lang = lang;
                    this.getSalary = () => {return this.salary * 3};
                }
            }
            const user2 = new Programmer('Ivan', 10, 1200, 'Russian, Poland');
            const user3 = new Programmer('Viktor', 20, 1000, 'Russian');
        console.log(user2.getSalary())
        console.log(user2)
        console.log(user3)

    </script>
</body>
</html>